Bug 1566526 - Reporting worker exceeding threshold for default report tied to custom widget
Summary: Reporting worker exceeding threshold for default report tied to custom widget
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Performance
Version: 5.8.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.9.2
Assignee: Keenan Brock
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
Depends On: 1560113
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 13:13 UTC by Satoe Imaishi
Modified: 2018-05-07 19:36 UTC (History)
9 users (show)

Fixed In Version: 5.9.2.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1560113
Environment:
Last Closed: 2018-05-03 18:36:03 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1328 0 normal SHIPPED_LIVE Important: CloudForms 4.6.2 bug fix and enhancement update 2018-05-08 00:42:50 UTC

Comment 2 CFME Bot 2018-04-12 13:21:25 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/bf016cf9fd265b7f9faeb3a3fcaa1f5183d15af4
commit bf016cf9fd265b7f9faeb3a3fcaa1f5183d15af4
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Fri Apr  6 14:59:10 2018 -0400
Commit:     Jason Frey <fryguy9@gmail.com>
CommitDate: Fri Apr  6 14:59:10 2018 -0400

    Merge pull request #17246 from kbrock/vm_template_name

    convert Vm#miq_provision_template to has_one
    (cherry picked from commit eef19e08d460594cad629a022169c2ee1a3a9331)

    https://bugzilla.redhat.com/show_bug.cgi?id=1566526

 app/models/vm_or_template.rb | 6 +-
 lib/miq_expression.rb | 6 +-
 lib/miq_expression/field.rb | 23 +
 spec/lib/miq_expression/field_spec.rb | 37 +
 spec/models/miq_report/search_spec.rb | 2 +-
 spec/models/vm_or_template_spec.rb | 26 +
 6 files changed, 91 insertions(+), 9 deletions(-)

Comment 3 Dave Johnson 2018-04-26 17:42:30 UTC
Tuan, can you provide a more specific set of reproduction steps so we can verify its now fixed?  Or perhaps you can verify yourself if we provide a appliance?

Comment 4 Tuan 2018-05-01 17:41:15 UTC
Hello Dave, 
      Sorry for the delay, I confirmed that the customer has since disabled the scheduled widget and runs it's manually. I have also confirmed with Josh that the customer database is too large for us to collect. 

Customer originally was concerned over any workers exceeding thresholds, the ticket was not about this widget/report specifically. I am not quite sure how we would go about reproducing this.

Comment 5 Niyaz Akhtar Ansari 2018-05-03 14:25:05 UTC
Hi Tuan,

What steps to be perform in order to verify this BZ.
Keenan gave me the widget import file. 
Can you please provide me some steps to verify this bz.

Thanks 
~Niyaz

Comment 6 Tuan 2018-05-03 14:37:23 UTC
Hello Niyaz,
       Customer originally had widget scheduled. The customer has since turned this off and runs it manually. 

You can import the widget and schedule it or manually run it and check to see if the reporting worker exceeds the memory threshold. I believe their threshold was set at 1.5 GB and the reporting worker was hitting 4 GB.

Comment 7 Tuan 2018-05-03 14:37:49 UTC
Hello Niyaz,
       Customer originally had widget scheduled. The customer has since turned this off and runs it manually. 

You can import the widget and schedule it or manually run it and check to see if the reporting worker exceeds the memory threshold. I believe their threshold was set at 1.5 GB and the reporting worker was hitting 4 GB.


Note You need to log in before you can comment on or make changes to this bug.